<?php

	class osC_Payment_idealcheckoutmastercard extends osC_Payment_Admin 
	{
		var $_code = 'idealcheckoutmastercard';
		
		var $_title = 'iDEAL Checkout - Mastercard';
		var $_method_title = 'idealcheckoutmastercard';
		var $_description = 'Online betalen via uw eigen bank.';
		var $_author_name = 'iDEAL Checkout';
		var $_author_www = 'http://www.ideal-checkout.nl';
		var $_status = true;

		function osC_Payment_idealcheckoutmastercard()
		{
			$this->_status = (defined('MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_STATUS') && (MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_STATUS == '1') ? true : false);
			$this->_sort_order = (defined('MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_SORT_ORDER') ? MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_SORT_ORDER : null);
		}

		function isInstalled()
		{
			return (bool) defined('MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_STATUS');
		}

		function install() 
		{
			global $osC_Database;

			parent::install();


			// Load gateway setings
			require_once(dirname(dirname(dirname(dirname(dirname(__FILE__))))) . '/idealcheckout/includes/library.php');
			$aDatabaseSettings = idealcheckout_getDatabaseSettings();

			$osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('iDEAL Checkout - Mastercard payment plugin', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_STATUS', '-1', '" . idealcheckout_escapeSql('<iframe src="' . HTTPS_SERVER . DIR_WS_HTTPS_CATALOG . 'idealcheckout/validate/ideal.php" height="400" width="343" scrolling="no" frameborder="0"></iframe>') . "<b>Enable Mastercard payment plugin</b>', '6', '0', 'osc_cfg_use_get_boolean_value', 'osc_cfg_set_boolean_value(array(1, -1))', now())");
			$osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort order of display.', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_SORT_ORDER', '0', 'Sort order of display. Lowest is displayed first.', '6', '0' , now())");
			$osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Remove on PAYMENT CANCELLED', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_REMOVE_ORDER_ON_CANCELLED', '-1', 'Remove order when payment is cancelled.', '6', '0', 'osc_cfg_use_get_boolean_value', 'osc_cfg_set_boolean_value(array(1, -1))', now())");
			
			$osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Status on PAYMENT SUCCESS', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_SUCCESS_ORDER_STATUS_ID', '0', '', '6', '0', 'osc_cfg_set_order_statuses_pull_down_menu', 'osc_cfg_use_get_order_status_title', now())");
			$osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Status on PAYMENT PENDING', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_PENDING_ORDER_STATUS_ID', '0', '', '6', '0', 'osc_cfg_set_order_statuses_pull_down_menu', 'osc_cfg_use_get_order_status_title', now())");
			$osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Status on PAYMENT OPEN', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_OPEN_ORDER_STATUS_ID', '0', '', '6', '0', 'osc_cfg_set_order_statuses_pull_down_menu', 'osc_cfg_use_get_order_status_title', now())");
			$osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Status on PAYMENT CANCELLED', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_CANCELLED_ORDER_STATUS_ID', '0', '', '6', '0', 'osc_cfg_set_order_statuses_pull_down_menu', 'osc_cfg_use_get_order_status_title', now())");
			$osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Status on PAYMENT EXPIRED', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_EXPIRED_ORDER_STATUS_ID', '0', '', '6', '0', 'osc_cfg_set_order_statuses_pull_down_menu', 'osc_cfg_use_get_order_status_title', now())");
			$osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Status on PAYMENT FAILURE', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_FAILURE_ORDER_STATUS_ID', '0', '', '6', '0', 'osc_cfg_set_order_statuses_pull_down_menu', 'osc_cfg_use_get_order_status_title', now())");
		}

		function getKeys()
		{
			if(!isset($this->_keys))
			{
				$this->_keys = array('MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_STATUS', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_SORT_ORDER', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_REMOVE_ORDER_ON_CANCELLED', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_SUCCESS_ORDER_STATUS_ID', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_PENDING_ORDER_STATUS_ID', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_OPEN_ORDER_STATUS_ID', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_CANCELLED_ORDER_STATUS_ID', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_EXPIRED_ORDER_STATUS_ID', 'MODULE_PAYMENT_IDEALCHECKOUTMASTERCARD_FAILURE_ORDER_STATUS_ID');
			}

			return $this->_keys;
		}

		function getPostTransactionActions($history) 
		{
			return array();
		}
	}

?>